<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=0"
    />
    <link
      rel="stylesheet"
      href="https://res.wx.qq.com/t/wx_fed/weui-source/res/2.5.4/weui.min.css"
    />
    <script src="/static/js/public/reset.js"></script>
    <link href="/static/css/public/reset.css" rel="stylesheet" />
    <link href="/static/css/public/public.css" rel="stylesheet" />
    <link href="/static/css/165133/main.css" rel="stylesheet" />
    <title>青海互助金泉青裸酒酿造有限公司</title>
  </head>

  <body
    style="
      background: url(/static/images/165133/bj.png);
      background-size: 100%100%;
    "
  >
    <div class="weui-tab">
      <div class="weui-tab__panel" id="p2">
        <div class="fwcx page" style="display: block">
          <div class="div1">
            <div class="div2">
              <img src="" id="labelImg" style="width: 45%" />
              <hr />
              <!-- 三维码 -->
              <div class="p p-3">
                <p>1、请用手触摸实物标签上的结构三维码是否有物理凹感!</p>
                <p>2、请认真核对实物标签上的结构三维码序号是否与上图一致!</p>
                <p>3、以上两点都相符则为真品，否则谨防假冒!</p>
              </div>
              <!-- 箱标 -->
              <div class="p p-2">
                <p>1、请认真核对实物标签是否与图像一致!</p>
                <p>2、并用手触摸防伪文字区域是否有物理凹感，非印刷墨迹堆叠!</p>
                <p>3、以上两点都相符则为真品，否则谨防假冒!</p>
              </div>
              <hr />
              <div class="info">
                <p>标签序号：<span id="cpidSpan"></span></p>
                <p>首查时间：<span id="firstTime"></span></p>
                <p>已查次数：<span id="queryNum">0</span>次</p>
              </div>
              <div class="tips">
                <div>
                  <b
                    style="
                      flex: 1;
                      color: rgb(224, 28, 0);
                      font-size: 0.87rem;
                      text-align: center;
                      padding: 1rem 1.5rem;
                    "
                  >
                    该产品为青海互助金泉青裸酒酿造有限公司产品标识。
                  </b>
                </div>
              </div>
              <div id="aidiv">
                <wx-open-launch-weapp id="launch-btn" style="display: block">
                  <script type="text/wxtag-template">
                    <style>
                     .btn {
                      border-radius: 60px;
                      font-size: 16px;
                      width: 55%;
                      padding: 10px 0;
                      margin: 0 auto;
                      background: linear-gradient(to bottom, #feaa66, #996037);
                      color: white;
                      text-align: center;
                     }
                    </style>
                    <div class="btn">AI匹配验证</div>
                  </script>
                </wx-open-launch-weapp>
              </div>
            </div>
          </div>
        </div>
        <div class="qyjs page" style="background-color: rgb(243, 243, 243)">
          <div style="text-align: center; padding: 0.8rem 0">
            <img src="/static/images/165133/logo.png" style="width: 15%" />
          </div>
          <div
            style="
              margin: 0 0.8rem;
              padding: 0.8rem;
              background-color: rgb(255, 255, 255);
            "
          >
            <div style="text-align: center; padding-bottom: 0.5rem">
              <b style="font-size: 1rem">青海互助金泉青裸酒酿造有限公司</b>
            </div>
            <div style="text-indent: 2rem">
              <p>
                青海互助金泉青裸酒酿造有限公司
                位于美丽的“彩虹之乡”青海省互助县威远镇。是一家集白酒酿造、销售为一体的规模化民营企业，多年来企业秉承“酿好酒、做好人”的传统人文精神，稳步成长。公司拥有一批技术纯熟的手工酿造师傅和先进的生产设备，公司本着“信誉至上”的宗旨，视“质量为产品生命”理念，保留青裸酒的原汁原味、传承古法酿造的目的，公司主要生产清香型青裸系列酒，主要有青裸原酒、青裸老基酒、酒海不干青裸酒、酒海不干原浆分装酒、等三十多个产品，公司生产的所有产品都是纯粮酿造。“以诚做人
                以信立业
                酒质是金”是金泉人矢志不移的追求。我们是400年青裸酒文化的传承者，我们是青裸酒手工酿造的发扬者
              </p>
            </div>
          </div>
          <div style="text-align: center">
            <div>
              <div
                style="
                  background: linear-gradient(to bottom, #feaa66, #996037);
                  padding: 0.6rem 0;
                  border-radius: 3rem;
                  margin: 1rem auto 0;
                  width: 200px;
                  color: #fff;
                  text-decoration: underline;
                "
                onclick="showgzh()"
              >
                关注公众号
              </div>
              <div
                style="
                  background: linear-gradient(to bottom, #feaa66, #996037);
                  padding: 0.6rem 0;
                  border-radius: 3rem;
                  margin: 1rem auto 0;
                  width: 200px;
                  color: #fff;
                  text-decoration: underline;
                "
                onclick="showjrgw()"
              >
                点击进入官网
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="tabbar">
        <div
          class="weui-tabbar"
          style="background: url(/static/images/165133/anniubj.png)"
        >
          <div id="cx" class="weui-tabbar__item weui-bar__item_on">
            <div class="weui-tabbar__icon">
              <img
                src="/static/images/165133/d1.png"
                class="yellow"
                style="width: 85%; height: 70%; padding-top: 0.3rem"
              />
              <img
                src="/static/images/165133/b1.png"
                class="blue"
                style="width: 85%; height: 70%; padding-top: 0.3rem"
              />
            </div>
            <b class="weui-tabbar__label" style="padding-left: 0.2rem"
              >防伪验证</b
            >
          </div>
          <div id="qy" class="weui-tabbar__item">
            <img
              src="/static/images/165133/gsjs2.png"
              style="width: 5%"
              class="yellow"
            />
            <img
              src="/static/images/165133/gsjs.png"
              style="width: 5%"
              class="blue"
            />
            <b class="weui-tabbar__label" style="padding-left: 0.2rem"
              >公司介绍</b
            >
          </div>
        </div>
      </div>
    </div>

    <div class="popup" id="inputDialog" style="display: none">
      <div class="hb">
        <img class="top" id="hbt" src="/static/images/165133/hbt.png" />
        <div class="input">
          <p>刮开刮刮银，输入验证码进行抽奖</p>
          <input
            id="input_vcode"
            type="number"
            placeholder="请在此输入验证码"
          />
        </div>
        <div class="btn" id="btn_lottery"></div>
      </div>
    </div>

    <div class="popup" id="awardDialog" style="justify-content: flex-start; display: none;">
      <div class="toptitle">
        <img src="/static/images/165133/tt.png" />
      </div>
      <div class="card">
        <div style="text-align: center">
          <img id="award_img" class="img" src="" />
        </div>
        <div class="bottom">
          <p id="award_name" class="title"></p>
          <p id="btn_ylq" class="btn btn-grey" style="display: none">
            该奖品已被领取
          </p>
          <p id="tip" class="tip" style="display: none">
            注：凭实物标签到购买本产品的<br />门店进行兑换
          </p>
        </div>
      </div>
      <img
        id="btn_close"
        class="icon-close"
        src="/static/images/165133/close.png"
      />
      <img class="coin" src="/static/images/165133/coin.png" />
    </div>

    <script
      type="text/javascript"
      src="https://res2.wx.qq.com/open/js/jweixin-1.6.0.js"
    ></script>
    <script
      type="text/javascript"
      src="https://res.wx.qq.com/t/wx_fed/weui.js/res/1.2.13/weui.min.js"
    ></script>
    <script src="/static/js/jquery-2.1.0.min.js"></script>
    <script src="/static/js/public/public.js"></script>
    <script>
      var loading = weui.loading("加载中");
      //loading.hide();

      tj_public.wxInit({
        wx_officail_account_id: 6,
        url: window.location.href,
      });

      var cpid = tj_public.getCookie("label_code");
      var cpid_jm = tj_public.getCookie("jmcpid");
      var uid = tj_public.getCookie("TJWXUSR_165133_0");
      var pkg = tj_public.getCookie("package");

      wx.ready(function () {
        tj_public.getAddress(function (lat, lng) {
          getInfo(lat, lng);
        });
        if (pkg === "3") {
          return;
        }
        var uuid = tj_public.getUuid(8, 16);
        tj_public.configLaunchWeappBtn({
          el: "launch-btn",
          username: "gh_4290b605146b",
          extraData: {
            cpid: cpid_jm,
            uid,
            uuid,
            os: "davis",
          },
          onLaunch: function () {
            tj_public.checkMiniprogramAIStatus(
              {
                cpid: cpid_jm,
                consumer_id: uid,
                uuid,
              },
              function (state) {
                if (state == 1) {
                  access();
                }
              }
            );
          },
        });
      });

      wx.error(function (res) {
        getInfo(0, 0);
      });

      if (pkg === "3") {
        $(".p-3").hide();
        $(".p-2").show();
        $("#aidiv").hide();
      }


      function access() {
        $("#aidiv").hide();
        $(".tips").show();
      }

      function showgzh() {
        window.location.href =
          "https://mp.weixin.qq.com/mp/profile_ext?action=home&__biz=MzA4MTgzMzgzMQ==&scene=110#wechat_redirect";
      }

      function showjrgw() {
        window.location.href = "http://www.qhjinquan.cn";
      }

      function getInfo(lat, lng) {
        $.ajax({
          url: "/wx/label/scan_record/",
          data: {
            lat: lat,
            lng: lng,
            uid,
            compid: 165133,
            fwcode: cpid,
          },
          success: function (res) {
            loading.hide();
            if (res.bcode) {
              $("#cpidSpan").text(res.bcode);
            } else {
              $("#cpidSpan").text(res.code);
            }

            $("#queryNum").text(res.cnt);
            $("#firstTime").text(res.tm_1st);
            $("#labelImg").attr("src", res.img);
			
            if(res.product_id && res.product_id == '7235'){
              $("#hbt").attr('src','/static/images/165133/hbt2.png')
            }
            if(res.product_id && (res.product_id == '9340' || res.product_id == '9339')){
              $("#hbt").hide()
            }

            if (pkg === "1" && (res.product_id === 7164 || res.product_id === 7235 || res.product_id === 9340 || res.product_id === 9339 )) {
              $("#inputDialog").fadeIn();
            }
          },
          error: function () {
            loading.hide();
            weui.alert("网络超时！");
          },
        });
      }

      $("#btn_lottery").click(debounce(GetActivity, 300));

      function GetActivity() {
        var vcode = $("#input_vcode").val();
        if (vcode.length !== 6) {
          weui.alert("请输入正确的6位数验证码");
          return;
        }

        loading = weui.loading("加载中");
        $.ajax({
          url: "/wx/ajax/get_activity/",
          data: {
            company_id: 165133,
            vcode,
            redeem_now: "1",
          },
          success: function (res) {
            loading.hide();
            if (res.e === "") {
              $("#inputDialog").hide();
              if (res.award.code == 200) {
                $("#tip").show();
                $("#award_name").text(res.award.data.name);
                $("#award_img").attr("src", res.award.data.photo);
                $("#awardDialog").fadeIn();
              } else if (res.award.code === 401 || res.award.code === 402) {
                $("#btn_ylq").show();
                $("#award_name").text(res.award.data.name);
                $("#award_img").attr("src", res.award.data.photo);
                $("#awardDialog").fadeIn();
              } else if (res.award.code === 400){
				weui.alert('谢谢惠顾');
			  }	else {
                weui.alert(res.award.reason);
              }
            } else {
              weui.alert(res.e);
            }
          },
          error: function () {
            loading.hide();
            weui.alert("网络超时，请稍后再试");
          },
        });
      }

      $(".weui-tabbar__item").on("click", function () {
        $(this)
          .addClass("weui-bar__item_on")
          .siblings(".weui-bar__item_on")
          .removeClass("weui-bar__item_on");
        $(".page").hide();
        document.body.scrollTop = document.documentElement.scrollTop = 0;
        $(".page").animate({ scrollTop: 0 });
      });
      $("#cx").on("click", function () {
        $(".fwcx").show();
      });
      $("#qy").on("click", function () {
        $(".qyjs").show();
      });
      $("#btn_close").click(function () {
        $("#awardDialog").hide();
      });

      function debounce(fn, delay) {
        let timer;
        return function () {
          if (timer) {
            clearTimeout(timer);
          }
          timer = setTimeout(() => {
            fn.call(this);
          }, delay);
        };
      }
    </script>
  </body>
</html>
